<xml> </xml>

db4o |

# ReflectClass Methods

The methods of the ReflectClass interface are listed below. For a complete list of ReflectClass interface members, see the ReflectClass Members topic.

#### Public Instance Methods

GetComponentType |
GetDeclaredConstructors |
GetDeclaredField |
GetDeclaredFields |
GetDelegate |
GetMethod |
GetName |
GetSuperclass |
IsAbstract |
IsArray |
IsAssignableFrom |
IsCollection |
IsInstance |
IsInterface |
IsPrimitive |
IsSecondClass |
NewInstance |
Reflector |
SkipConstructor | instructs to install or uninstall a special constructor for the respective platform that avoids calling the constructor for the respective class
ToArray |
UseConstructor |

#### See Also

ReflectClass Interface | com.db4o.reflect Namespace | com.db4o.reflect.Reflector